Bug 662341 - qemu-kvm segfault
qemu-kvm segfault
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
: Triaged
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-12-11 15:53 EST by aozhi2nd
Modified: 2013-12-08 19:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-20 04:42:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aozhi2nd 2010-12-11 15:53:04 EST
Description of problem:
My guest os shutdown after running for about ten days ,caused by the qemu-kvm segfault of the host

here the dmesg of host :

kvm: 17827: cpu0 unimplemented perfctr wrmsr: 0x186 data 0x130079
kvm: 17827: cpu0 unimplemented perfctr wrmsr: 0xc1 data 0xffe383d8
kvm: 17827: cpu0 unimplemented perfctr wrmsr: 0x186 data 0x530079
kvm: 17827: cpu1 unimplemented perfctr wrmsr: 0x186 data 0x130079
kvm: 17827: cpu1 unimplemented perfctr wrmsr: 0xc1 data 0xffe383d8
kvm: 17827: cpu1 unimplemented perfctr wrmsr: 0x186 data 0x530079
kvm: 17827: cpu2 unimplemented perfctr wrmsr: 0x186 data 0x130079
kvm: 17827: cpu2 unimplemented perfctr wrmsr: 0xc1 data 0xffe383d8
kvm: 17827: cpu2 unimplemented perfctr wrmsr: 0x186 data 0x530079
kvm: 17827: cpu3 unimplemented perfctr wrmsr: 0x186 data 0x130079
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
qemu-kvm[17827]: segfault at 0000000001803030 rip 00000000004a1c26 rsp 00007fff9118ac90 error 4




host os is rtel5.5
]# rpm -qa | grep kvm
etherboot-zroms-kvm-5.4.4-13.el5
kmod-kvm-83-164.el5
kvm-qemu-img-83-164.el5
kvm-83-164.el5
kvm-tools-83-164.el5

guest os is rhel5.3, 

Version-Release number of selected component (if applicable):
host os :
the cpu is xeon E7520 4x4cores 
the cpuinfo 

processor	: 15
vendor_id	: GenuineIntel
cpu family	: 6
model		: 46
model name	: Intel(R) Xeon(R) CPU           E7520  @ 1.87GHz
stepping	: 6
cpu MHz		: 1067.000
cache size	: 18432 KB
physical id	: 3
siblings	: 4
core id		: 11
cpu cores	: 4
apicid		: 118
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx rdtscp lm constant_tsc nonstop_tsc pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr sse4_1 sse4_2 popcnt lahf_lm
bogomips	: 3733.08
clflush size	: 64
cache_alignment	: 64
address sizes	: 44 bits physical, 48 bits virtual
power management: [8]

How reproducible:


Steps to Reproduce:

if happens twice in 20days
  
Actual results:


Expected results:


Additional info:
Comment 1 Gleb Natapov 2010-12-13 06:15:01 EST
Install kvm-debuginfo-83-164.el5.x86_64.rpm and post backtrace please. Or better yet put core file somewhere.
Comment 2 aozhi2nd 2010-12-13 08:29:29 EST
ok, I will install the debuginfo package later .

but the segfault  happens not frequently, for about 10+ days
Comment 3 Gleb Natapov 2010-12-13 08:36:19 EST
(In reply to comment #2)
> ok, I will install the debuginfo package later .
> 
> but the segfault  happens not frequently, for about 10+ days

Can you meanwhile provide the command line you use to start kvm?
Comment 4 aozhi2nd 2010-12-13 09:02:33 EST
The guest is  started by virt-manager,,
here is the log in /var/lib/libvirt

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin HOME=/ /usr/libexec/qemu-kvm -S -M rhel5.4.0 -m 25000 -smp 4 -name vm2-kylin-app2 -uuid 766da1ed-afcd-ee79-e3d1-c475429bde3c -no-kvm-pit-reinjection -monitor pty -pidfile /var/run/libvirt/qemu//vm2-kylin-app2.pid -boot c -drive file=,if=ide,media=cdrom,index=2 -drive file=/kvm/lost+found/vm2-kylin-app1-112,if=ide,index=0,boot=on -drive file=/dev/sda7,if=virtio,index=0 -net nic,macaddr=54:52:00:51:2d:f6,vlan=0,model=e1000 -net tap,fd=18,script=,vlan=0,ifname=vnet0 -net nic,macaddr=54:52:00:19:30:97,vlan=1,model=e1000 -net tap,fd=19,script=,vlan=1,ifname=vnet1 -serial none -parallel none -usb -vnc 127.0.0.1:0 -k en-us 
char device redirected to /dev/pts/1
Comment 5 Gleb Natapov 2010-12-13 09:21:25 EST
-m 25000 is ~25G do you have so much memory?
Comment 6 aozhi2nd 2010-12-13 09:44:20 EST
The host machine is a 4U server :
Intel XEON MP E7520*4 
32*4GB
4*300GB SAS 
RAID5
two  NICs, create two bridge network : eth0->br0, eth1->br1
In the guest ,there are two virtual netcards : br0->eth0,br1->eth1
Comment 7 RHEL Product and Program Management 2011-01-11 15:44:16 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2011-01-11 17:57:16 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Note You need to log in before you can comment on or make changes to this bug.